# Uses of Class
org.kapott.hbci.status.HBCIMsgStatus

Packages that use HBCIMsgStatus
Package
Description
org.kapott.hbci.dialog
org.kapott.hbci.exceptions
In diesem Package werden alle Exceptions definiert, die von `HBCI4Java` u.U.
org.kapott.hbci.GV
Dieses Package enthält alle Klassen zur internen Repräsentation von (Highlevel-)Jobs.
org.kapott.hbci.manager
Package, welches diverse Klassen für den Zugriff auf die Funktionen von HBCI4Java enthält.
org.kapott.hbci.status
Dieses Paket enthält Klassen, die Status-Informationen zu einzelnen Aufträgen, Nachrichten oder Dialogen bereitstellen.

## Uses of HBCIMsgStatus in org.kapott.hbci.dialog

Methods in org.kapott.hbci.dialog that return HBCIMsgStatus
Modifier and Type
Method
Description
`final HBCIMsgStatus`
AbstractRawHBCIDialog.`execute(DialogContext ctx)`
`HBCIMsgStatus`
HBCIProcess.`execute(DialogContext ctx)`
Fuehrt die Dialoge mit der Bank aus.
`HBCIMsgStatus`
HBCIProcessSepaInfo.`execute(DialogContext ctx)`
`HBCIMsgStatus`
HBCIProcessTanMedia.`execute(DialogContext ctx)`
`HBCIMsgStatus`
RawHBCIDialog.`execute(DialogContext ctx)`
Sendet die Dialog-Initialisierung an die Bank.
`HBCIMsgStatus`
DialogContext.`getMsgStatus()`
Liefert den Message-Status.
`protected HBCIMsgStatus`
AbstractRawHBCIDialog.`sendData(DialogContext ctx)`
Default-Implementierung fuer den Versand.
`protected HBCIMsgStatus`
HBCIDialogEnd.`sendData(DialogContext ctx)`
`protected HBCIMsgStatus`
HBCIDialogFirstKeyRequest.`sendData(DialogContext ctx)`
`protected HBCIMsgStatus`
HBCIDialogLockKeys.`sendData(DialogContext ctx)`
`protected HBCIMsgStatus`
HBCIDialogSync.`sendData(DialogContext ctx)`
Methods in org.kapott.hbci.dialog with parameters of type HBCIMsgStatus
Modifier and Type
Method
Description
`List<HBCIRetVal>`
KnownReturncode.`searchReturnValues(HBCIMsgStatus status)`
Sucht im gesamten Nachrichten-Status nach dem Status-Code.

## Uses of HBCIMsgStatus in org.kapott.hbci.exceptions

Methods in org.kapott.hbci.exceptions that return HBCIMsgStatus
Modifier and Type
Method
Description
`HBCIMsgStatus`
ProcessException.`getMsgStatus()`
Constructors in org.kapott.hbci.exceptions with parameters of type HBCIMsgStatus
Modifier
Constructor
Description
``
`ProcessException(String st, HBCIMsgStatus ret)`

## Uses of HBCIMsgStatus in org.kapott.hbci.GV

Methods in org.kapott.hbci.GV with parameters of type HBCIMsgStatus
Modifier and Type
Method
Description
`protected void`
AbstractGVLastSEPA.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`void`
GVAccInfo.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`void`
GVCardList.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVDauerEdit.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVDauerLastSEPAList.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVDauerList.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVDauerNew.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVDauerSEPADel.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVDauerSEPAEdit.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVDauerSEPAList.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVDauerSEPANew.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVFestCondList.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVFestList.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVInfoList.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVInfoOrder.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVInstUebSEPA.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVKontoauszug.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVKontoauszugPdf.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVKUmsAll.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVKUmsAllCamt.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVSaldoReq.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`void`
GVSEPAInfo.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVStatus.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVTAN2Step.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`void`
GVTANList.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`void`
GVTANMediaList.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVTermMultiUebSEPA.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVTermUeb.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVTermUebEdit.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVTermUebList.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVTermUebSEPA.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVTermUebSEPAEdit.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVTermUebSEPAList.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVVoP.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVWPDepotList.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
GVWPDepotUms.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected void`
HBCIJobImpl.`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`void`
HBCIJobImpl.`fillJobResult(HBCIMsgStatus status, int offset)`
`void`
HBCIJobImpl.`fillJobResultFromTanJob(HBCIMsgStatus status, String header, int seg)`
`protected void`
GVTAN2Step.`saveReturnValues(HBCIMsgStatus status, int sref)`
`protected void`
GVVoPAuth.`saveReturnValues(HBCIMsgStatus status, int sref)`
`protected void`
HBCIJobImpl.`saveReturnValues(HBCIMsgStatus status, int sref)`

## Uses of HBCIMsgStatus in org.kapott.hbci.manager

Methods in org.kapott.hbci.manager that return HBCIMsgStatus
Modifier and Type
Method
Description
`HBCIMsgStatus`
HBCIKernelImpl.`rawDoIt(boolean signit, boolean cryptit, boolean needCrypt)`
`HBCIMsgStatus`
HBCIKernelImpl.`rawDoIt(HBCIPassportList passports, boolean signit, boolean cryptit, boolean needCrypt)`

## Uses of HBCIMsgStatus in org.kapott.hbci.status

Fields in org.kapott.hbci.status declared as HBCIMsgStatus
Modifier and Type
Field
Description
`HBCIMsgStatus`
HBCIDialogStatus.`endStatus`
Statusinformationen zur Dialog-Abschluss-Nachricht.
`HBCIMsgStatus`
HBCIDialogStatus.`initStatus`
Statusinformationen zur Dialog-Initialisierungs-Nachricht.
`HBCIMsgStatus[]`
HBCIDialogStatus.`msgStatus`
Status-Informationen zu den einzelnen Nachrichten zwischen Dialog-Initialisierung und Dialog-Abschluss ("Nutzdaten").
Methods in org.kapott.hbci.status with parameters of type HBCIMsgStatus
Modifier and Type
Method
Description
`void`
HBCIDialogStatus.`setEndStatus(HBCIMsgStatus status)`
Wird von der HBCI4Java-Dialog-Engine aufgerufen
`void`
HBCIDialogStatus.`setInitStatus(HBCIMsgStatus status)`
Wird von der HBCI4Java-Dialog-Engine aufgerufen
`void`
HBCIDialogStatus.`setMsgStatus(HBCIMsgStatus[] status)`
Wird von der HBCI4Java-Dialog-Engine aufgerufen